import { DataAnnotationInfo as DataAnnotationInfo_internal } from "./DataAnnotationInfo";
/**
 * Represents data annotation
*/
export declare class IgxDataAnnotationInfo {
    protected createImplementation(): DataAnnotationInfo_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): DataAnnotationInfo_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    get xAxisPixel(): number;
    set xAxisPixel(v: number);
    static ngAcceptInputType_xAxisPixel: number | string;
    get yAxisPixel(): number;
    set yAxisPixel(v: number);
    static ngAcceptInputType_yAxisPixel: number | string;
    get xAxisWindow(): number;
    set xAxisWindow(v: number);
    static ngAcceptInputType_xAxisWindow: number | string;
    get yAxisWindow(): number;
    set yAxisWindow(v: number);
    static ngAcceptInputType_yAxisWindow: number | string;
    get xAxisValue(): number;
    set xAxisValue(v: number);
    static ngAcceptInputType_xAxisValue: number | string;
    get yAxisValue(): number;
    set yAxisValue(v: number);
    static ngAcceptInputType_yAxisValue: number | string;
    get dataIndex(): number;
    set dataIndex(v: number);
    static ngAcceptInputType_dataIndex: number | string;
    get dataValueX(): number;
    set dataValueX(v: number);
    static ngAcceptInputType_dataValueX: number | string;
    get dataValueY(): number;
    set dataValueY(v: number);
    static ngAcceptInputType_dataValueY: number | string;
    get dataLabelX(): string;
    set dataLabelX(v: string);
    get dataLabelY(): string;
    set dataLabelY(v: string);
    get xAxisLabel(): string;
    set xAxisLabel(v: string);
    get yAxisLabel(): string;
    set yAxisLabel(v: string);
    get textColor(): string;
    set textColor(v: string);
    get background(): string;
    set background(v: string);
    get borderColor(): string;
    set borderColor(v: string);
    get borderRadius(): number;
    set borderRadius(v: number);
    static ngAcceptInputType_borderRadius: number | string;
    get borderThickness(): number;
    set borderThickness(v: number);
    static ngAcceptInputType_borderThickness: number | string;
    findByName(name: string): any;
}
